Subject: Re: git-svn stubbornly re-creating branch "master"

From: David Kågedal <[email-masked]>
Date: Fri, 03 Apr 2009 12:42:03 +0200

Eric Wong <[email-masked]> writes:

> Marcin Owsiany <[email-masked]> wrote:
>> Hello,
>> 
>> I created my git repository by cloning it with git-svn from an upstream SVN
>> repository. When I did that, a branch "master" was created. Afterwards I
>> renamed that branch to "upstream". However every time I "git-svn fetch", it
>> recreates the "master" branch, pointing it at the newest upstream commit.
>> 
>> Ideally, I'd like it to just forget about "master" and do the same to my
>> "upstream" branch. Is it possible?
>> 
>> If not, then is it at least possible to have it not recreate the "master"
>> branch? It clutters my view.
>
> "master" has been a git convention since the earliest days of git and
> it's less confusing to new users following documentation if it always
> exists (and a lot of users' first git experience is with git svn).
>
> Why not just use "master" as one of your branches?  It won't bite you.
> "git svn fetch" will never clobber your "master" if it already exists.

I also find this highly annoying. I use branch names that matches the
branches we use in svn. So when working on changes for the svn "foo"
branch, I have a git branch "foo" that is based on "svn/foo". And when
working on "bar" I use a "bar" branch and so on. A "master" branch has
no place in my workflow, and I keep deleteing it over and over again.

But mostly I just ignore it.

-- 
David Kågedal